# $Id: kernel-feat-cpufreq.spec,v 1.4 2003/12/14 21:31:58 vsu Exp $

%define  patch_name kernel-feat-cpufreq

Name: %patch_name
Version: 2003.12.14
Release: alt1

%define short_version %(echo %version | tr -d .)

Summary: %patch_name kernel patch - CPU frequency and voltage scaling support
License: GPL
Group: Development/Other
URL: ftp://ftp.uk.linux.org/pub/linux/cpufreq
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

Source0: %url/cpufreq-LINUX_2_4-%short_version.tar.bz2

Source1000: %name.sh.in
Source1001: cpufreq-2.4.22.patch

BuildPreReq: kernel-build-tools

%description
This patch adds CPU frequency and voltage scaling support to the Linux kernel.

%prep
%setup -c
%__install -p -m644 %SOURCE1001 cpufreq/patch

%install
%__install -d %patches_dir/%patch_name/
%__cp -a cpufreq/* %patches_dir/%patch_name/

%__mkdir_p %patches_dir/apply/
%__install -p %SOURCE1000 %patches_dir/apply/%name

%files
%_usrsrc/*

%changelog
* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.14-alt1
- Updated to cpufreq-LINUX_2_4-20031214:
  + longhaul: Ezra-T support added, rounding fixes
  + speedstep-centrino: Ultra Low Voltage Intel Pentium M processor 1000MHz
    support added
- Kept cpufreq-2.4.22.patch from the old version (new version contains patch
  for 2.4.23, which does not apply to 2.4.22 because of unrelated nearby
  changes).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.28-alt1
- Updated to cpufreq-LINUX_2_4-20031128:
  + speedstep-smi driver fixes (added guard against non-Intel CPUs, added
    parameter descriptions, added ability to fake IST signature)

* Mon Oct 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.06-alt1
- Initial release

